> For the complete documentation index, see [llms.txt](https://docs.ecommerce.seb.ee/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecommerce.seb.ee/api-reference/merchant-api.md).

# Merchant API

The [Merchant API](/integration/merchant-api.md) is the REST API for integrating your backend with the SEB Ecommerce Payment Gateway.

Use this API Reference to find the endpoints, request and response schemas, parameters, and error responses required to implement and manage payment operations.

The API is organized by functional area.

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Payments</strong></td><td>Create and manage payments and perform supported payment operations.</td><td><a href="/api-reference/merchant-api/payments.md">Payments</a></td></tr><tr><td><strong>Gateway Tokens</strong></td><td>Retrieve Gateway Tokens and manage token status.</td><td><a href="/api-reference/merchant-api/gateway-tokens.md">Gateway Tokens</a></td></tr><tr><td><strong>Refunds</strong></td><td>Create and manage refunds for eligible payments.</td><td><a href="/api-reference/merchant-api/refunds.md">Refunds</a></td></tr><tr><td><strong>Shops</strong></td><td>Retrieve shop configuration and available payment methods, and perform supported shop-related operations.</td><td><a href="/api-reference/merchant-api/shops.md#get-egw-version-shops-shopagreementid">Shops</a></td></tr><tr><td><strong>Callback Notifications</strong></td><td>Reference callback notifications for payment and Gateway Token changes.</td><td><a href="/api-reference/merchant-api/callback-notifications.md">Callback Notifications</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ecommerce.seb.ee/api-reference/merchant-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
